Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.axis
Class StandardTickUnitSource

    java.lang.Object
      org.jfree.chart.axis.StandardTickUnitSource

All Implemented Interfaces:
  TickUnitSource

public class StandardTickUnitSource
extends java.lang.Object
implements TickUnitSource

A source that can used by the `NumberAxis` class to obtain a suitable `TickUnit`.

Constructor Summary
`StandardTickUnitSource()`

Method Summary
`TickUnit` | `getCeilingTickUnit(double size)` Returns the tick unit in the collection that is greater than or equal to the specified size.
`TickUnit` | `getCeilingTickUnit(TickUnit unit)` Returns the tick unit in the collection that is greater than or equal to (in size) the specified unit.
`TickUnit` | `getLargerTickUnit(TickUnit unit)` Returns a tick unit that is larger than the supplied unit.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardTickUnitSource

    public StandardTickUnitSource()

Method Detail

### getLargerTickUnit

    public TickUnit getLargerTickUnit(TickUnit unit)

  Returns a tick unit that is larger than the supplied unit.

  Specified by:
    `getLargerTickUnit` in interface `TickUnitSource`
  Parameters:
    `unit` - the unit.
  Returns:
    A tick unit that is larger than the supplied unit.

### getCeilingTickUnit

    public TickUnit getCeilingTickUnit(TickUnit unit)

  Returns the tick unit in the collection that is greater than or equal to (in size) the specified unit.

  Specified by:
    `getCeilingTickUnit` in interface `TickUnitSource`
  Parameters:
    `unit` - the unit.
  Returns:
    A unit from the collection.

### getCeilingTickUnit

    public TickUnit getCeilingTickUnit(double size)

  Returns the tick unit in the collection that is greater than or equal to the specified size.

  Specified by:
    `getCeilingTickUnit` in interface `TickUnitSource`
  Parameters:
    `size` - the size.
  Returns:
    A unit from the collection.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD